## org.exist.storage.btree
Class IndexQuery

    java.lang.Object
      org.exist.storage.btree.IndexQuery

public class IndexQuery
extends java.lang.Object

IndexQuery represents the most primitive form of index querying. Instances of this object should be created by QueryResolvers and cached in Query instances.

Field Summary
`static int` `ANY`
`static int` `BW`
`static int` `BWX`
`static int` `EQ`
`static int` `GEQ`
`static int` `GT`
`static int` `IN`
`static int` `LEQ`
`static int` `LT`
`static int` `NBW`
`static int` `NBWX`
`static int` `NEQ`
`static int` `NIN`
`static int` `REGEXP`
`static int` `TRUNC_LEFT`
`static int` `TRUNC_RIGHT`

Constructor Summary
`IndexQuery()`
`IndexQuery(int op, java.lang.String val1)`
`IndexQuery(int op, java.lang.String val1, java.lang.String val2)`
`IndexQuery(int op, Value val1)`
`IndexQuery(int op, Value[] vals)`
`IndexQuery(int op, Value val1, Value val2)`
`IndexQuery(java.lang.String val1)`
`IndexQuery(java.lang.String val1, java.lang.String val2)`
`IndexQuery(Value val1)`
`IndexQuery(Value[] vals)`
`IndexQuery(Value val1, Value val2)`

Method Summary
`int` `getLength()` getLength returns the length of the Value set associated with this query.
`int` `getOperator()` getOperator returns the operator associated with this query.
`Value` `getValue(int index)` getValue returns one of the Values associated with this query.
`Value[]` `getValues()` getValues returns the Values associated with this query.
`boolean` `testValue(java.lang.String value)` testValue tests the specified value for validity against this IndexQuery.
`boolean` `testValue(Value value)` testValue tests the specified value for validity against this IndexQuery.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY

    public static final int ANY

See Also:
  Constant Field Values

### EQ

    public static final int EQ

See Also:
  Constant Field Values

### NEQ

    public static final int NEQ

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### LEQ

    public static final int LEQ

See Also:
  Constant Field Values

### LT

    public static final int LT

See Also:
  Constant Field Values

### GEQ

    public static final int GEQ

See Also:
  Constant Field Values

### BW

    public static final int BW

See Also:
  Constant Field Values

### NBW

    public static final int NBW

See Also:
  Constant Field Values

### BWX

    public static final int BWX

See Also:
  Constant Field Values

### NBWX

    public static final int NBWX

See Also:
  Constant Field Values

### IN

    public static final int IN

See Also:
  Constant Field Values

### NIN

    public static final int NIN

See Also:
  Constant Field Values

### TRUNC_RIGHT

    public static final int TRUNC_RIGHT

See Also:
  Constant Field Values

### TRUNC_LEFT

    public static final int TRUNC_LEFT

See Also:
  Constant Field Values

### REGEXP

    public static final int REGEXP

See Also:
  Constant Field Values

Constructor Detail

### IndexQuery

    public IndexQuery()

### IndexQuery

    public IndexQuery(int op,
                      Value[] vals)

### IndexQuery

    public IndexQuery(Value[] vals)

### IndexQuery

    public IndexQuery(int op,
                      Value val1)

### IndexQuery

    public IndexQuery(Value val1)

### IndexQuery

    public IndexQuery(int op,
                      Value val1,
                      Value val2)

### IndexQuery

    public IndexQuery(Value val1,
                      Value val2)

### IndexQuery

    public IndexQuery(int op,
                      java.lang.String val1)

### IndexQuery

    public IndexQuery(java.lang.String val1)

### IndexQuery

    public IndexQuery(int op,
                      java.lang.String val1,
                      java.lang.String val2)

### IndexQuery

    public IndexQuery(java.lang.String val1,
                      java.lang.String val2)

Method Detail

### getOperator

    public int getOperator()

  getOperator returns the operator associated with this query.

  Returns:
    The operator

### getValue

    public final Value getValue(int index)

  getValue returns one of the Values associated with this query.

  Parameters:
    `index` - The Value index
  Returns:
    The request Value

### getValues

    public Value[] getValues()

  getValues returns the Values associated with this query.

  Returns:
    The Value set

### getLength

    public final int getLength()

  getLength returns the length of the Value set associated with this query.

  Returns:
    The Value set length

### testValue

    public boolean testValue(Value value)

  testValue tests the specified value for validity against this IndexQuery. The helper classes in org.dbxml.core.indexer.helpers should be used for optimized performance.

  Parameters:
    `value` - The Value to compare
  Returns:
    Whether or not the value matches

### testValue

    public final boolean testValue(java.lang.String value)

  testValue tests the specified value for validity against this IndexQuery. The helper classes in org.dbxml.core.indexer.helpers should be used for optimized performance.

  Parameters:
    `value` - The Value to compare
  Returns:
    Whether or not the value matches

Copyright (C) Wolfgang Meier. All rights reserved.